corda / net.corda.core.testing / StateRefGenerator

# StateRefGenerator

`class StateRefGenerator : Generator<StateRef>`

### Constructors

<init> | `StateRefGenerator()`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): StateRef`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck